﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5104/5204 (1 yr) Delta Time VER VISA /O_CAL
DATE:                  2012-04-12 07:15:04
AUTHOR:                Fluke
REVISION:              $Revision: 24326 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       30
NUMBER OF LINES:       416
CONFIGURATION:         Fluke Ocal (300MHz,WG)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO5104, DPO5204
#        MSO5104, MSO5204
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {DELTA TIME ACCURACY: Channel [V @Chan]}
  1.003  RSLT         =
  1.004  HEAD         DELTA TIME ACC: Ch [V @Chan], {4 ns/div, 240 MHz}
  1.005  RSLT         =
  1.006  TARGET       -p
  1.007  TSET         TDESC = 5 mV/div
  1.008  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.009  VISA         HOR:SCA 4E-9
  1.010  VISA         CH[V @Chan]:TER 50;SCA 5E-3
  1.011  VISA         TRIG:A:EDGE:SOU CH[V @Chan]
  1.012  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE BUR;STATE ON
  1.013  VISA         MEASU:STATI:MODE VALUEMEAN;WEI 100
# 1 / 240 MHz = 4166.66... ps\
  1.014  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  1.014  O_CAL        +Period = 4167 ps; Voltage = 40 mVpp
  1.015  TARGET       -m
  1.016  VISA         MEASU:STATI:COUN RESET
  1.017  WAIT         -t 10 DUT Acquiring...
  1.018  VISA         MEASU:MEAS1:STD?[I]
  1.019  MATH         MEM = MEM / 1E-12
  1.020  MEMCX        0ps            +118U

  2.001  TSET         TDESC = 100 mV/div
  2.002  VISA         CH[V @Chan]:SCA 100E-3
  2.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  2.003  O_CAL        +Period = 4167 ps; Voltage = 800 mVpp
  2.004  TARGET       -m
  2.005  VISA         MEASU:STATI:COUN RESET
  2.006  WAIT         -t 10 DUT Acquiring...
  2.007  VISA         MEASU:MEAS1:STD?[I]
  2.008  MATH         MEM = MEM / 1E-12
  2.009  MEMCX        0ps            +117U

  3.001  TSET         TDESC = 500 mV/div
  3.002  VISA         CH[V @Chan]:SCA 500E-3
  3.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  3.003  O_CAL        +Period = 4167 ps; Voltage = 4 Vpp
  3.004  TARGET       -m
  3.005  VISA         MEASU:STATI:COUN RESET
  3.006  WAIT         -t 10 DUT Acquiring...
  3.007  VISA         MEASU:MEAS1:STD?[I]
  3.008  MATH         MEM = MEM / 1E-12
  3.009  MEMCX        0ps            +117U

  4.001  TSET         TDESC = 1 V/div
  4.002  VISA         CH[V @Chan]:SCA 1
  4.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  4.003  O_CAL        +Period = 4167 ps; Voltage = 4 Vpp
  4.004  TARGET       -m
  4.005  VISA         MEASU:STATI:COUN RESET
  4.006  WAIT         -t 10 DUT Acquiring...
  4.007  VISA         MEASU:MEAS1:STD?[I]
  4.008  MATH         MEM = MEM / 1E-12
  4.009  MEMCX        0ps            +122U

  5.001  RSLT         =
  5.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {40 ns/div, 24 MHz}
  5.003  RSLT         =
  5.004  TARGET
  5.005  TSET         TDESC = 1 mV/div
  5.006  VISA         HOR:SCA 40E-9
  5.007  VISA         CH[V @Chan]:SCA 1E-3
# 1 / 24 MHz = 41666.66... ps
  5.008  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.008  O_CAL        +Period = 41667 ps; Voltage = 8 mVpp
  5.009  TARGET       -m
  5.010  VISA         MEASU:STATI:COUN RESET
  5.011  WAIT         -t 10 DUT Acquiring...
  5.012  VISA         MEASU:MEAS1:STD?[I]
  5.013  MATH         MEM = MEM / 1E-12
  5.014  MEMCX        0ps            +464U

  6.001  TSET         TDESC = 5 mV/div
  6.002  VISA         CH[V @Chan]:SCA 5E-3
  6.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  6.003  O_CAL        +Period = 41667 ps; Voltage = 40 mVpp
  6.004  TARGET       -m
  6.005  VISA         MEASU:STATI:COUN RESET
  6.006  WAIT         -t 10 DUT Acquiring...
  6.007  VISA         MEASU:MEAS1:STD?[I]
  6.008  MATH         MEM = MEM / 1E-12
  6.009  MEMCX        0ps            +276U

  7.001  TSET         TDESC = 100 mV/div
  7.002  VISA         CH[V @Chan]:SCA 100E-3
  7.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  7.003  O_CAL        +Period = 41667 ps; Voltage = 800 mVpp
  7.004  TARGET       -m
  7.005  VISA         MEASU:STATI:COUN RESET
  7.006  WAIT         -t 10 DUT Acquiring...
  7.007  VISA         MEASU:MEAS1:STD?[I]
  7.008  MATH         MEM = MEM / 1E-12
  7.009  MEMCX        0ps            +234U

  8.001  TSET         TDESC = 500 mV/div
  8.002  VISA         CH[V @Chan]:SCA 500E-3
  8.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  8.003  O_CAL        +Period = 41667 ps; Voltage = 4 Vpp
  8.004  TARGET       -m
  8.005  VISA         MEASU:STATI:COUN RESET
  8.006  WAIT         -t 10 DUT Acquiring...
  8.007  VISA         MEASU:MEAS1:STD?[I]
  8.008  MATH         MEM = MEM / 1E-12
  8.009  MEMCX        0ps            +232U

  9.001  TSET         TDESC = 1 V/div
  9.002  VISA         CH[V @Chan]:SCA 1
  9.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  9.003  O_CAL        +Period = 41667 ps; Voltage = 4 Vpp
  9.004  TARGET       -m
  9.005  VISA         MEASU:STATI:COUN RESET
  9.006  WAIT         -t 10 DUT Acquiring...
  9.007  VISA         MEASU:MEAS1:STD?[I]
  9.008  MATH         MEM = MEM / 1E-12
  9.009  MEMCX        0ps            +417U

 10.001  RSLT         =
 10.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {400 ns/div, 2.4 MHz}
 10.003  RSLT         =
 10.004  TARGET
 10.005  TSET         TDESC = 1 mV/div
 10.006  VISA         HOR:SCA 400E-9
 10.007  VISA         CH[V @Chan]:SCA 1E-3
# 1 / 2.4 MHz = 416.6666... ns
 10.008  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 10.008  O_CAL        +Period = 416.67 ns; Voltage = 8 mVpp
 10.009  TARGET       -m
 10.010  VISA         MEASU:STATI:COUN RESET
 10.011  WAIT         -t 10 DUT Acquiring...
 10.012  VISA         MEASU:MEAS1:STD?[I]
 10.013  MATH         MEM = MEM / 1E-9
 10.014  MEMCX        0.00ns         +4.50U

 11.001  TSET         TDESC = 5 mV/div
 11.002  VISA         CH[V @Chan]:SCA 5E-3
 11.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 11.003  O_CAL        +Period = 416.67 ns; Voltage = 40 mVpp
 11.004  TARGET       -m
 11.005  VISA         MEASU:STATI:COUN RESET
 11.006  WAIT         -t 10 DUT Acquiring...
 11.007  VISA         MEASU:MEAS1:STD?[I]
 11.008  MATH         MEM = MEM / 1E-9
 11.009  MEMCX        0.00ns         +2.52U

 12.001  TSET         TDESC = 100 mV/div
 12.002  VISA         CH[V @Chan]:SCA 100E-3
 12.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 12.003  O_CAL        +Period = 416.67 ns; Voltage = 800 mVpp
 12.004  TARGET       -m
 12.005  VISA         MEASU:STATI:COUN RESET
 12.006  WAIT         -t 10 DUT Acquiring...
 12.007  VISA         MEASU:MEAS1:STD?[I]
 12.008  MATH         MEM = MEM / 1E-9
 12.009  MEMCX        0.00ns         +2.05U

 13.001  TSET         TDESC = 500 mV/div
 13.002  VISA         CH[V @Chan]:SCA 500E-3
 13.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 13.003  O_CAL        +Period = 416.67 ns; Voltage = 4 Vpp
 13.004  TARGET       -m
 13.005  VISA         MEASU:STATI:COUN RESET
 13.006  WAIT         -t 10 DUT Acquiring...
 13.007  VISA         MEASU:MEAS1:STD?[I]
 13.008  MATH         MEM = MEM / 1E-9
 13.009  MEMCX        0.00ns         +2.03U

 14.001  TSET         TDESC = 1 V/div
 14.002  VISA         CH[V @Chan]:SCA 1
 14.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 14.003  O_CAL        +Period = 416.67 ns; Voltage = 4 Vpp
 14.004  TARGET       -m
 14.005  VISA         MEASU:STATI:COUN RESET
 14.006  WAIT         -t 10 DUT Acquiring...
 14.007  VISA         MEASU:MEAS1:STD?[I]
 14.008  MATH         MEM = MEM / 1E-9
 14.009  MEMCX        0.00ns         +4.01U

 15.001  RSLT         =
 15.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {4 µs/div, 240 kHz}
 15.003  RSLT         =
 15.004  TARGET
 15.005  TSET         TDESC = 1 mV/div
 15.006  VISA         HOR:SCA 4E-6
 15.007  VISA         CH[V @Chan]:SCA 1E-3
# 1 / 240 kHz = 4166.666... ns
 15.008  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 15.008  O_CAL        +Period = 4166.7 ns; Voltage = 8 mVpp
 15.009  TARGET       -m
 15.010  VISA         MEASU:STATI:COUN RESET
 15.011  WAIT         -t 10 DUT Acquiring...
 15.012  VISA         MEASU:MEAS1:STD?[I]
 15.013  MATH         MEM = MEM / 1E-9
 15.014  MEMCX        0.0ns          +45.0U

 16.001  TSET         TDESC = 5 mV/div
 16.002  VISA         CH[V @Chan]:SCA 5E-3
 16.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 16.003  O_CAL        +Period = 4166.7 ns; Voltage = 40 mVpp
 16.004  TARGET       -m
 16.005  VISA         MEASU:STATI:COUN RESET
 16.006  WAIT         -t 10 DUT Acquiring...
 16.007  VISA         MEASU:MEAS1:STD?[I]
 16.008  MATH         MEM = MEM / 1E-9
 16.009  MEMCX        0.0ns          +25.2U

 17.001  TSET         TDESC = 100 mV/div
 17.002  VISA         CH[V @Chan]:SCA 100E-3
 17.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 17.003  O_CAL        +Period = 4166.7 ns; Voltage = 800 mVpp
 17.004  TARGET       -m
 17.005  VISA         MEASU:STATI:COUN RESET
 17.006  WAIT         -t 10 DUT Acquiring...
 17.007  VISA         MEASU:MEAS1:STD?[I]
 17.008  MATH         MEM = MEM / 1E-9
 17.009  MEMCX        0.0ns          +20.5U

 18.001  TSET         TDESC = 500 mV/div
 18.002  VISA         CH[V @Chan]:SCA 500E-3
 18.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 18.003  O_CAL        +Period = 4166.7 ns; Voltage = 4 Vpp
 18.004  TARGET       -m
 18.005  VISA         MEASU:STATI:COUN RESET
 18.006  WAIT         -t 10 DUT Acquiring...
 18.007  VISA         MEASU:MEAS1:STD?[I]
 18.008  MATH         MEM = MEM / 1E-9
 18.009  MEMCX        0.0ns          +20.3U

 19.001  TSET         TDESC = 1 V/div
 19.002  VISA         CH[V @Chan]:SCA 1
 19.003  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 19.003  O_CAL        +Period = 4166.7 ns; Voltage = 4 Vpp
 19.004  TARGET       -m
 19.005  VISA         MEASU:STATI:COUN RESET
 19.006  WAIT         -t 10 DUT Acquiring...
 19.007  VISA         MEASU:MEAS1:STD?[I]
 19.008  MATH         MEM = MEM / 1E-9
 19.009  MEMCX        0.0ns          +40.1U

 20.001  RSLT         =
 20.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {40 µs/div, 24 kHz}
 20.003  RSLT         =
 20.004  TARGET
 20.005  TSET         TDESC = 1 mV/div
 20.006  VISA         HOR:SCA 40E-6
 20.007  VISA         CH[V @Chan]:SCA 1E-3
# 1 / 24 kHz = 41666.66... ns
 20.008  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 20.008  O_CAL        +Period = 41667 ns; Voltage = 8 mVpp; Wav = Sine
 20.009  TARGET       -m
 20.010  VISA         MEASU:STATI:COUN RESET
 20.011  WAIT         -t 10 DUT Acquiring...
 20.012  VISA         MEASU:MEAS1:STD?[I]
 20.013  MATH         MEM = MEM / 1E-9
 20.014  MEMCX        0ns            +450U

 21.001  TSET         TDESC = 5 mV/div
 21.002  VISA         CH[V @Chan]:SCA 5E-3
 21.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 21.003  O_CAL        +Period = 41667 ns; Voltage = 40 mVpp; Wav = Sine
 21.004  TARGET       -m
 21.005  VISA         MEASU:STATI:COUN RESET
 21.006  WAIT         -t 10 DUT Acquiring...
 21.007  VISA         MEASU:MEAS1:STD?[I]
 21.008  MATH         MEM = MEM / 1E-9
 21.009  MEMCX        0ns            +252U

 22.001  TSET         TDESC = 100 mV/div
 22.002  VISA         CH[V @Chan]:SCA 100E-3
 22.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 22.003  O_CAL        +Period = 41667 ns; Voltage = 800 mVpp; Wav = Sine
 22.004  TARGET       -m
 22.005  VISA         MEASU:STATI:COUN RESET
 22.006  WAIT         -t 10 DUT Acquiring...
 22.007  VISA         MEASU:MEAS1:STD?[I]
 22.008  MATH         MEM = MEM / 1E-9
 22.009  MEMCX        0ns            +205U

 23.001  TSET         TDESC = 500 mV/div
 23.002  VISA         CH[V @Chan]:SCA 500E-3
 23.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 23.003  O_CAL        +Period = 41667 ns; Voltage = 2.5 Vpp; Wav = Sine
 23.004  TARGET       -m
 23.005  VISA         MEASU:STATI:COUN RESET
 23.006  WAIT         -t 10 DUT Acquiring...
 23.007  VISA         MEASU:MEAS1:STD?[I]
 23.008  MATH         MEM = MEM / 1E-9
 23.009  MEMCX        0ns            +203U

 24.001  TSET         TDESC = 1 V/div
 24.002  VISA         CH[V @Chan]:SCA 1
 24.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 24.003  O_CAL        +Period = 41667 ns; Voltage = 2.5 Vpp; Wav = Sine
 24.004  TARGET       -m
 24.005  VISA         MEASU:STATI:COUN RESET
 24.006  WAIT         -t 10 DUT Acquiring...
 24.007  VISA         MEASU:MEAS1:STD?[I]
 24.008  MATH         MEM = MEM / 1E-9
 24.009  MEMCX        0ns            +401U

 25.001  RSLT         =
 25.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {400 µs/div, 2.4 kHz}
 25.003  RSLT         =
 25.004  TARGET
 25.005  TSET         TDESC = 1 mV/div
 25.006  VISA         HOR:SCA 400E-6
 25.007  VISA         CH[V @Chan]:SCA 1E-3
# 1 / 2.4 kHz = 416.6666... µs
 25.008  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 25.008  O_CAL        +Period = 416.67 us; Voltage = 8 mVpp; Wav = Sine
 25.009  TARGET       -m
 25.010  VISA         MEASU:STATI:COUN RESET
 25.011  WAIT         -t 10 DUT Acquiring...
 25.012  VISA         MEASU:MEAS1:STD?[I]
 25.013  MATH         MEM = MEM / 1E-6
 25.014  MEMCX        0.00us         +4.50U

 26.001  TSET         TDESC = 5 mV/div
 26.002  VISA         CH[V @Chan]:SCA 5E-3
 26.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 26.003  O_CAL        +Period = 416.67 us; Voltage = 40 mVpp; Wav = Sine
 26.004  TARGET       -m
 26.005  VISA         MEASU:STATI:COUN RESET
 26.006  WAIT         -t 10 DUT Acquiring...
 26.007  VISA         MEASU:MEAS1:STD?[I]
 26.008  MATH         MEM = MEM / 1E-6
 26.009  MEMCX        0.00us         +2.52U

 27.001  TSET         TDESC = 100 mV/div
 27.002  VISA         CH[V @Chan]:SCA 100E-3
 27.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 27.003  O_CAL        +Period = 416.67 us; Voltage = 800 mVpp; Wav = Sine
 27.004  TARGET       -m
 27.005  VISA         MEASU:STATI:COUN RESET
 27.006  WAIT         -t 10 DUT Acquiring...
 27.007  VISA         MEASU:MEAS1:STD?[I]
 27.008  MATH         MEM = MEM / 1E-6
 27.009  MEMCX        0.00us         +2.05U

 28.001  TSET         TDESC = 500 mV/div
 28.002  VISA         CH[V @Chan]:SCA 500E-3
 28.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 28.003  O_CAL        +Period = 416.67 us; Voltage = 2.5 Vpp; Wav = Sine
 28.004  TARGET       -m
 28.005  VISA         MEASU:STATI:COUN RESET
 28.006  WAIT         -t 10 DUT Acquiring...
 28.007  VISA         MEASU:MEAS1:STD?[I]
 28.008  MATH         MEM = MEM / 1E-6
 28.009  MEMCX        0.00us         +2.03U

 29.001  TSET         TDESC = 1 V/div
 29.002  VISA         CH[V @Chan]:SCA 1
 29.003  O_CAL        Mode = WaveGen; Chan = [V @CalChan]; OutputImp = 50 Ohms
 29.003  O_CAL        +Period = 416.67 us; Voltage = 2.5 Vpp; Wav = Sine
 29.004  TARGET       -m
 29.005  VISA         MEASU:STATI:COUN RESET
 29.006  WAIT         -t 10 DUT Acquiring...
 29.007  VISA         MEASU:MEAS1:STD?[I]
 29.008  MATH         MEM = MEM / 1E-6
 29.009  MEMCX        0.00us         +4.01U

 30.001  HEAD         -2
 30.002  HEAD
 30.003  O_CAL        Standby
 30.004  END
